Bug 1294378 - apache-commons-jexl-3.1 is available
Summary: apache-commons-jexl-3.1 is available
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-commons-jexl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Stewardship SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-28 00:11 UTC by Upstream Release Monitoring
Modified: 2019-07-15 12:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-15 12:10:16 UTC


Attachments (Terms of Use)
[patch] Update to 3.0 (#1294378) (1.02 KB, patch)
2015-12-28 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.1 (#1294378) (1.08 KB, patch)
2017-04-14 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-12-28 00:11:29 UTC
Latest upstream release: 3.0
Current version/release in rawhide: 2.1.1-14.fc24
URL: http://www.apache.org/dist/commons/jexl/source/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-12-28 00:11:56 UTC
Created attachment 1109889 [details]
[patch] Update to 3.0 (#1294378)

Comment 2 Upstream Release Monitoring 2015-12-28 00:17:39 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12327981

Comment 3 Upstream Release Monitoring 2017-04-14 12:12:01 UTC
Latest upstream release: 3.1
Current version/release in rawhide: 2.1.1-18.fc26
URL: http://www.apache.org/dist/commons/jexl/source/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/73/

Comment 4 Upstream Release Monitoring 2017-04-14 12:12:08 UTC
Created attachment 1271656 [details]
[patch] Update to 3.1 (#1294378)

Comment 5 Upstream Release Monitoring 2017-04-14 12:17:54 UTC
hotness's scratch build of apache-commons-jexl-3.1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=18988177

Comment 6 Fedora Admin XMLRPC Client 2017-04-14 21:28:25 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2017-04-18 14:04:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Miro Hrončok 2019-04-17 17:29:20 UTC
This package is now maintained by the Stewardship SIG.

https://fedoraproject.org/wiki/SIGs/Stewardship

Any non-security updates will probably not be handled, if no volunteer steps up to do that. If you wish to volunteer assign this bug to you and reset the priority.

Comment 9 Fabio Valentini 2019-07-15 12:10:16 UTC
As far as I can tell, the artifact ID has changed from commons-jexl to commons-jexl3 with the bump to version 3.0.

So I think version 3+ should be packaged separately, if a package for version 3+ is ever needed -
similar to separate packages, for example, for commons-collections vs. commons-collections4, and commons-configuration vs. commons-configuration2.

Which is why I'm closing this as NOTABUG for now (please correct me if I'm wrong).


Note You need to log in before you can comment on or make changes to this bug.